#include <iostream>

using namespace std;

int main()
{
    int n, k, i ,j, h;
    double a[n], p[n], s=0, b[n], x=0;
    cin>>n;
    for(k=0;k<n;k++)
    {
        cin>>a[k]>>p[k];
    }
    for(i=0;i<n;i++)
    {
        s=0;
        for(j=0;j<n;j++)
        {
            if(p[j]>=p[i])
            {
                s+=a[j];
            }
        }
        b[i]=(s*p[i])/100.00;
        if(b[i]>x)
        {
            x=b[i];
        }
    }
    cout<<x;
}